如何修改lldb 默认加载的python 版本

在终端中直接输入 python 是python3 的环境
➜ ~ python
Python 3.8.12 (default, Aug 31 2021, 04:09:21)
[Clang 12.0.5 (clang-1205.0.22.9)] on darwin
Type “help”, “copyright”, “credits” or “license” for more information.
但是在lldb 中查看python版本是python2 的环境
➜ ~ lldb
(lldb) script
WARNING: Python 2.7 is not recommended. Future versions of lldb will not support Python 2.7.
Python Interactive Interpreter. To exit, type ‘quit()’, ‘exit()’ or Ctrl-D.
>>> sys.version
‘2.7.16 (default, Dec 21 2020, 23:00:36) \n[GCC Apple LLVM 12.0.0 (clang-1200.0.30.4) [+internal-os, ptrauth-isa=sign+stri’
>>>

我想在lldb 中运行python3 的脚本,该如何修改lldb 的默认的python 版本?

已解决

怎么解决的分享一下啊==

defaults write com.apple.dt.lldb DefaultPythonVersion 3

3 Likes

是的